Bug 204367 - [iOS] Create sandbox extension for "com.apple.tccd"
Summary: [iOS] Create sandbox extension for "com.apple.tccd"
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: iPhone / iPad Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-11-19 11:47 PST by Per Arne Vollan
Modified: 2019-12-04 16:27 PST (History)
11 users (show)

See Also:


Attachments
Patch (5.82 KB, patch)
2019-11-19 12:00 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (6.67 KB, patch)
2019-11-19 12:45 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (7.00 KB, patch)
2019-12-02 11:56 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (2.00 KB, patch)
2019-12-03 10:48 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff
Patch (2.04 KB, patch)
2019-12-04 15:09 PST, Per Arne Vollan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2019-11-19 11:47:50 PST
When camera or microphone access has been granted by the user, have the UI process create a sandbox extension for "com.apple.tccd", and send it to the WebContent process.
Comment 1 Radar WebKit Bug Importer 2019-11-19 11:48:18 PST
<rdar://problem/57330176>
Comment 2 Brent Fulgham 2019-11-19 11:55:25 PST
Yes! A much better idea than the current blanket allow.
Comment 3 Per Arne Vollan 2019-11-19 12:00:47 PST
Created attachment 383891 [details]
Patch
Comment 4 Per Arne Vollan 2019-11-19 12:45:13 PST
Created attachment 383895 [details]
Patch
Comment 5 Per Arne Vollan 2019-12-02 11:56:21 PST
Created attachment 384645 [details]
Patch
Comment 6 Per Arne Vollan 2019-12-02 14:15:00 PST
Comment on attachment 384645 [details]
Patch

Thanks for reviewing!
Comment 7 WebKit Commit Bot 2019-12-02 15:00:32 PST
Comment on attachment 384645 [details]
Patch

Clearing flags on attachment: 384645

Committed r253011: <https://trac.webkit.org/changeset/253011>
Comment 8 WebKit Commit Bot 2019-12-02 15:00:34 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Per Arne Vollan 2019-12-03 10:48:38 PST
Reopening to attach new patch.
Comment 10 Per Arne Vollan 2019-12-03 10:48:40 PST
Created attachment 384724 [details]
Patch
Comment 11 Per Arne Vollan 2019-12-03 10:49:51 PST
Uploaded patch to fix assertion on older versions of macOS.
Comment 12 WebKit Commit Bot 2019-12-03 12:13:06 PST
Comment on attachment 384724 [details]
Patch

Clearing flags on attachment: 384724

Committed r253059: <https://trac.webkit.org/changeset/253059>
Comment 13 WebKit Commit Bot 2019-12-03 12:13:08 PST
All reviewed patches have been landed.  Closing bug.
Comment 14 youenn fablet 2019-12-04 08:36:30 PST
I have the following logs on a debug ToT build under MacOS: Could not create a 'com.apple.tccd' sandbox extension
Comment 15 Per Arne Vollan 2019-12-04 11:18:08 PST
(In reply to youenn fablet from comment #14)
> I have the following logs on a debug ToT build under MacOS: Could not create
> a 'com.apple.tccd' sandbox extension

Thanks, I will have a look :)
Comment 16 Per Arne Vollan 2019-12-04 15:09:03 PST
Reopening to attach new patch.
Comment 17 Per Arne Vollan 2019-12-04 15:09:04 PST
Created attachment 384851 [details]
Patch
Comment 18 WebKit Commit Bot 2019-12-04 16:27:57 PST
Comment on attachment 384851 [details]
Patch

Clearing flags on attachment: 384851

Committed r253130: <https://trac.webkit.org/changeset/253130>
Comment 19 WebKit Commit Bot 2019-12-04 16:27:58 PST
All reviewed patches have been landed.  Closing bug.